using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;

namespace Gestor_de_Contenidos
{
    public class NivelHistoriaSocial : Nivel
    {

        public NivelHistoriaSocial() : base() {

            this.nivelAnterior = null;
        
        }

        public override bool estaImplementado()
        {
            if (nombre == null || nombre.Equals("") || texto == null || texto.Equals(""))
                return false;
            else
                return true;
        }

        public override void escribirXML(bool esEdicion)
        {
            string ruta = obtenerRutaNivel();
            do
            {
                try
                {
                    System.IO.Directory.CreateDirectory(ruta);
                }
                catch (Exception ex) { }
            } while (!System.IO.Directory.Exists(ruta));
            XmlTextWriter myXmlTextWriter = new XmlTextWriter(ruta + "index.xml", System.Text.Encoding.UTF8);
            myXmlTextWriter.WriteStartDocument(false);
            myXmlTextWriter.Formatting = Formatting.Indented;

            myXmlTextWriter.WriteStartElement("nivel");
            myXmlTextWriter.WriteAttributeString("tipo", "historia");

            if(!esEdicion)
                myXmlTextWriter.WriteAttributeString("nombre", nombre);
            else
                myXmlTextWriter.WriteAttributeString("nombre", frm_principal.getInstance().Nombre_despues_edicion);

            myXmlTextWriter.WriteAttributeString("texto", texto);
            myXmlTextWriter.WriteEndElement();
            myXmlTextWriter.Flush();
            myXmlTextWriter.Close();

            if (siguienteNivel != null)
                siguienteNivel.escribirXML(esEdicion);
        }
    }
}
